<?php



/*  

  

    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



  

	Autores version mexicana : 

	                           Matias Fertilio

	                           Ernesto Perez

				   

	Fecha Liberación del código: 20/04/2010

	CodeKa Mx 2010			 

	

	*/



define('FPDF_FONTPATH','font/');

require_once ('fpdf.php') ; 

include("comunesfactura.php");

include ("../conectar.php");

include ("../funciones/fechas.php"); 

//include ("Numbers/Words.php");





$pdf=new PDF();

$pdf->Open();

$pdf->AddPage();



//$pdf->Header('logo/logo.jpg',10,8,33,33);



$pdf->Ln();    



if ($fondofac=="SI")$pdf->Header('logo/Factura_Original.jpg',0,0,205,295);



$parametros = "Select * from  WEB_0000";

$datos = mysql_query($parametros);



$codfactura=$_GET["codfactura"];



   $query_factura_contado="SELECT * FROM facturas WHERE codfactura='$codfactura'";

   $rs_query_factura_contado=mysql_query($query_factura_contado);

   $cdgcli= mysql_result($rs_query_factura_contado,0,"cdgcli");
   $cdgtipven= mysql_result($rs_query_factura_contado,0,"cdgtipven");

 if ($cdgtipven ==2 ) {

     $faccre = x;
	 $faccon = "";
	 $facval= "ORIGINAL";
	} else {
	
	 $faccre = "";
	 $faccon = x;
	 $facval= "ORIGINAL";
	

	}
	
  	 if ($cdgcli == 9999) {

		

		  $consulta = "Select * from facturas, WEB_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= $cdgcli";

		$resultado = mysql_query($consulta);

		$lafila=mysql_fetch_array($resultado);

		  

		   $dsccli= mysql_result($rs_query_factura_contado,0,"dsccli");

           $cedcli="";

	

	 

		} else {

		



		$consulta = "Select * from facturas, WEB_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= WEB_0301.cdgcli";

		$resultado = mysql_query($consulta);

		$lafila=mysql_fetch_array($resultado);

		$dsccli=mysql_result($resultado,0,"dsccli");

		$cedcli=mysql_result($resultado,0,"cedcli");

		$dircli=mysql_result($resultado,0,"dircli");

		$numtel=mysql_result($resultado,0,"numtel");



        }  

 

 

  





    $fecha =mysql_result($resultado,0,"fecha");

	//$dia1=substr($fecha,0,2);

	

	// El mes sale como numero x                                             

	//$mes1=substr($fecha,3,2);

	

	// si se activa este comando el mes sale con letras

	//$mes1=mes($mes1);´

	



	// fecha y numero de factura

	//$ano1=substr($fecha,6,4);

	

	$pdf->SetFillColor(255,255,255);	

    $pdf->SetTextColor(11,4,4);

    $pdf->SetDrawColor(0,0,0);

    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',12);	

	

	$pdf->SetY(25);	

	$pdf->Ln(-8);

	$pdf->Cell(150);

	//$fecha = implota($lafila["fecha"]);

	$pdf->Cell(5);

	$pdf->Cell(12,4,$fecha,0,0,'L',0);

	//$pdf->Cell(12,4,$mes1,0,0,'L',0);

	//$pdf->Cell(12,4,$ano1,0,0,'L',0);

	

	$pdf->Ln(13);

	$pdf->Cell(165);

	$pdf->Cell(10,4,$codfactura,0,0,'L',0);

	

	//emcabezado y datos de la empresa

	

	$pdf->SetY(28);	

	$pdf->Ln(-15);

	$pdf->Cell(56);

    $pdf->Cell(10,4,mysql_result($datos,0,"nomcom"),0,0,'L',0);

	

	

		

	$pdf->SetFillColor(255,255,255);	

    $pdf->SetTextColor(11,4,4);

    $pdf->SetDrawColor(0,0,0);

    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',10);

	
	$cedula=mysql_result($datos,0,"cedjur");
	$cedula_con= "Cedula Jurídica ". $cedula;
	

	$pdf->SetY(13);

	$pdf->Ln(6);

	$pdf->Cell(60);
	
	$pdf->Cell(60,4,$cedula_con,0,0,'C',0);

 

	$pdf->SetFont('Arial','B',8);


	$pdf->SetY(17);

	$pdf->Ln(6);

	$pdf->Cell(56);

$pdf->Cell(30,4,mysql_result($datos,0,"diremp"),0,0,'L',0);

	

		$pdf->SetFont('Arial','B',11);

	$pdf->SetY(21);

	$pdf->Ln(6);

	$pdf->Cell(85);

    $pdf->Cell(10,4,"Teléfonos: ". mysql_result($datos,0,"numtel"),0,0,'C',0);

	

	

	// datos del cliente

	$pdf->SetFillColor(255,255,255);	

    $pdf->SetTextColor(11,4,4);

    $pdf->SetDrawColor(0,0,0);

    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',8);	

	

	$pdf->SetY(27);

	$pdf->Ln(13);

	$pdf->Cell(29);

    $pdf->Cell(100,6,$dsccli,0,0,'L',0);

	



	$pdf->SetY(39);

	$pdf->Ln(5);

	$pdf->Cell(29);

    $pdf->Cell(35,8,$cedcli ,0,0,'L',0);  

	

	$pdf->SetY(39);

	$pdf->Ln(5);

	$pdf->Cell(82);

    $pdf->Cell(35,8,$numtel,0,0,'L',0);
	

	//$pdf->SetY(39);	
//
//	$pdf->Ln(3);
//
//	$pdf->Cell(138);
//
//    $pdf->Cell(35,8,mysql_result($resultado,0,"vehpla"),0,0,'L',0);

	
//
//	$pdf->SetY(39);	
//
//	$pdf->Ln(3);
//
//	$pdf->Cell(162);
//
//    $pdf->Cell(35,8,mysql_result($resultado,0,"kmsveh"),0,0,'L',0);

	

	$pdf->SetY(42);

	$pdf->Ln(5);

	$pdf->Cell(29);

	$pdf->Cell(80,10,$dircli,0,0,'L',0);  

	

	$pdf->SetY(42);

	$pdf->Ln(5);

	$pdf->Cell(140);

	$pdf->Cell(80,10,mysql_result($resultado,0,"pladia"),0,0,'L',0); 
	
 $pdf->SetFont('Arial','B',13);

$pdf->SetY(38);

	$pdf->Ln(0);

	$pdf->Cell(184);

	$pdf->Cell(80,10,$faccon,0,0,'L',0); 
	
	 	
	
$pdf->SetY(42);

	$pdf->Ln(3);

	$pdf->Cell(184);

	$pdf->Cell(80,10,$faccre,0,0,'L',0); 
	

	
  $pdf->SetFont('Arial','B',10);
	

	

	

  //  $fecha = implota($lafila["fecha"]);

//	$pdf->Cell(60);

	//$pdf->Cell(10,4,$dia1,0,0,'L',0);

	//$pdf->Cell(10,4,$mes1,0,0,'L',0);

//	$pdf->Cell(15,4,$ano1,0,0,'L',0);

	

	

	//Calculamos la provincia

	//$codigoprovincia=$lafila["codprovincia"];

	//$consulta="select * from provincias where codprovincia='$codigoprovincia'";

	//$query=mysql_query($consulta);

	//$row=mysql_fetch_array($query);

	//$pdf->Ln(5);

//	$pdf->Cell(23);

//	$pdf->Cell(80,10,mysql_result($resultado,0,"dircli"),0,0,'L',0);

	

	

	//$pdf->Ln(14);	

	

	//$pdf->Ln(5);

	//$pdf->Cell(20);

    //$pdf->Cell(40,4,$lafila["localidad"],0,0,'L',0);

			

			

    //ahora mostramos las lneas de la factura

			$pdf->SetFillColor(255,255,255);	

    $pdf->SetTextColor(11,4,4);

    $pdf->SetDrawColor(0,0,0);

    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',10);	

	

	

	

	$pdf->SetY(74);			

	$consulta2 = "Select * from factulinea where codfactura='$codfactura' order by numlinea";

    $resultado2 = mysql_query($consulta2, $conexion);

    

	$contador=1;

	while ($row=mysql_fetch_array($resultado2))

	{

	  $pdf->Cell(6);

	  $contador++;

	  

	  $cdgbar=mysql_result($resultado2,$lineas,"codigo");

	 // $codfamilia=mysql_result($resultado2,$lineas,"codfamilia");

	  

	  $cantidad1= number_format(mysql_result($resultado2,$lineas,"cantidad"),1,".",",");	  

	  $pdf->Cell(4,0,$cantidad1,0,0,'L');

	  

	  $pdf->Cell(15);

	    $codigo=mysql_result($resultado2,$lineas,"codigo");	  

	  $pdf->Cell(2,0,$codigo,0,0,'C');

	  

	  

	 // $pdf->Cell(4,4,mysql_result($resultado2,$lineas,"cantidad"),0,0,'C');	

	  	  

	  $sel_articulos="SELECT * FROM WEB_1001 WHERE cdgbar='$cdgbar' ";

	  $rs_articulos=mysql_query($sel_articulos);

	  	  

	  $acotado = substr(mysql_result($rs_articulos,0,"dscart"), 0, 45);

	  $pdf->Cell(8);

	  $pdf->Cell(24,0,$acotado,0,0,'L');

	 

	  if (mysql_result($resultado2,$lineas,"dcto")==0) 

	  {

	  $pdf->Cell(65);	

	  $pdf->Cell(10,0,"",0,0,'C');

	   } 

	  else 

	   { 

	  $pdf->Cell(65);

	  $pdf->Cell(10,0,mysql_result($resultado2,$lineas,"dcto") . " %",0,0,'C');

	   }

	   

	  	  $pdf->Cell(31);

	  $precio2= number_format(mysql_result($resultado2,$lineas,"preivi"),2,".",",");	  

	  $pdf->Cell(1,0,$precio2,0,0,'R');

	  

	  $importe2= number_format(mysql_result($resultado2,$lineas,"importe"),2,".",",");	  

	  

	  $pdf->Cell(25,0,$importe2,0,0,'R');

	  $pdf->Ln(7);	



	  //vamos acumulando el importe

	  $importe=$importe + mysql_result($resultado2,$lineas,"importe");

	  $impuesto=$impuesto + mysql_result($resultado2,$lineas,"impuesto");

	  $contador=$contador + 1;

	  $lineas=$lineas + 1;	

	  

	  

	  

	    

	};

			$pdf->SetFillColor(255,255,255);	

    $pdf->SetTextColor(11,4,4);

    $pdf->SetDrawColor(0,0,0);

    $pdf->SetLineWidth(.2);

    $pdf->SetFont('Arial','B',10);	

	

	

	// Parametro global Cantidad de filas en el detalle

	while ($contador<$FilasDetalleFactura)

	{

	  $pdf->Cell(1);

      $pdf->Cell(25,4,"",0,0,'C');

      $pdf->Ln(5);	

	  $contador=$contador +1;

	}

		  

	//Calculamos los valores del final de la factura

	

	//////// calcula subtotal 

    $importe_3 = round($importe,0, PHP_ROUND_HALF_DOWN);   //  REDONDEO 

	$importe4=number_format($importe_3,2,".",",");	      //  DECIMAL

	



	$ivai=$lafila["iva"];

	//////// Calcula impuesto 

	$impo=$impuesto;

	$total_impo=$total_impo+$impo;

	$impo = round($total_impo,0, PHP_ROUND_HALF_DOWN);  //  REDONDEO 

	$impo=number_format($impo,2,".",",");	            //  DECIMAL

    //////// calcula total

    $total=$importe+$impo; 

	$total2 = round($total,0, PHP_ROUND_HALF_DOWN);  //  REDONDEO 

	$total2= number_format($total2,2,".",",");	     //  DECIMAL



	$pdf->SetY(242);	

	$pdf->Cell(148);

    $pdf->Cell(32,5,$importe4,0,0,'R',0);

	$pdf->Ln(6);



	$pdf->SetY(252);

	$pdf->Cell(148);

	//$pdf->Cell(1,4,$lafila["iva"] ." %",0,0,'R',0);

	$pdf->Cell(32,5,$impo,0,0,'R',0);	

	$pdf->Ln(7);

		

	$pdf->SetY(256);

	$pdf->Cell(148);

	$pdf->Cell(32,5,$total2,0,0,'R',0);

	$pdf->Ln(8);

	

	//Calculamos de numero a palabras

	//$nw = new Numbers_Words();

		

	$pdf->SetY(148);

	$pdf->Cell(15);

	

	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.

	$decimales = explode(".",$total);	

	//$pdf->Cell(35,4,strtoupper($nw->toWords(round($total,0), "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);

	//$pdf->Cell(40,4,strtoupper($nw->toWords($decimales[0], "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);

	

		

      @mysql_free_result($resultado); 

      @mysql_free_result($query);

	  @mysql_free_result($resultado2); 

	  @mysql_free_result($query3);

	  

      $pdf->Output($name=("Factura.pdf"),'I');





?>